=== debian/changelog ===
mdadm (3.3-2ubuntu7) xenial; urgency=medium

  * Do not start when inside a container (LP: #1568993)

 -- Simon Deziel <simon.deziel@gmail.com>  Mon, 11 Apr 2016 18:33:45 +0000

mdadm (3.3-2ubuntu6) xenial; urgency=medium

  * debian/cotrol: Drop MTA Recommends to a Suggests (LP #1549319)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Mar 2016 16:39:13 -0600

mdadm (3.3-2ubuntu5) xenial; urgency=medium

  * Drop grub override, and thus use mdadm to assemble ISMS and DDF raids.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 19 Feb 2016 17:27:12 +0000

mdadm (3.3-2ubuntu4) xenial; urgency=low

  * debian/control: recommend kmod in preference to module-init-tools.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 17 Feb 2016 11:43:15 +0000

mdadm (3.3-2ubuntu3) xenial; urgency=medium

  * debian/mdadm.init: Stop depending on mdadm-raid, as we removed that init
    script in Ubuntu in favor of udev rules.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 11 Dec 2015 10:03:17 +0100

mdadm (3.3-2ubuntu2) wily; urgency=medium

  * debian/dmraid2mdadm.cfg: Only append to GRUB_CMDLINE_LINUX_DEFAULT one
    time. (LP: #1465567)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 16 Jun 2015 10:48:09 +0100

mdadm (3.3-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/initramfs/mdadm-functions: add call wait_for_udev to wait a
      little longer for RAID devices to appear.
    - debian/control: we need udev and util-linux in the right version. We
      also remove the build dependency from quilt and docbook-to-man as both
      are not used in Ubuntus mdadm.
    - debian/initramfs/hook: kept the Ubuntus version for handling the absence
      of active raid arrays in <initramfs>/etc/mdadm/mdadm.conf
    - debian/initramfs/script.local-top.DEBIAN, debian/mdadm-startall,
      debian/mdadm.raid.DEBIAN: removed. udev does its job now instead.
    - debian/mdadm-startall.sgml, debian/mdadm-startall.8: documentation of
      unused startall script
    - debian/mdadm.config, debian/mdadm.postinst - let udev do the handling
      instead. Resolved merge conflict by keeping Ubuntu's version.
    - debian/mkconf.in is the older mkconf. Kept the Ubuntu version.
    - debian/rules: Kept Ubuntus version for installing apport hooks, not
      installing un-used startall script.
    - debian/presubj: Dropped this unused bug reporting file. Instead use
      source_mdadm.py act as an apport hook for bug handling.
    - d/p/debian-changes-3.1.4-1+8efb9d1ubuntu4: mdadm udev rule
      incrementally adds mdadm member when detected. Starting such an
      array in degraded mode is possible by mdadm -IRs. Using mdadm
      -ARs without stopping the array first does nothing when no
      mdarray-unassociated device is available. Using mdadm -IRs to
      start a previously partially assembled array through incremental
      mode. Keeping the mdadm -ARs for assembling arrays which were for
      some reason not assembled through incremental mode (i.e through
      mdadm's udev rule).
    - Take kernel cmdline parameters "nomdmonisw" and "nomdmonddf" into
      account, when assembling imsm/ddf arrays. This defaults to assembling
      those arrays using mdmon/mdadm, with a fallback to dmraid upon
      request.
    - Use default/grub.d snippet to continue using dmraid to assemble
      fakeraid arrays.
  
  * Install incremental assembly rules.
  * Disable use-external-blkid.diff, udev in Ubuntu is recent enough.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Jul 2014 14:49:19 +0100

mdadm (3.3-2) unstable; urgency=low

  * use 63-md-raid-arrays.rules instead of old 64-md-raid.rules
    (Closes: #726237)
  * do not use builtin blkid in udev rules, as our udev (at least
    on wheezy) does not have it (use-external-blkid.diff)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 14 Oct 2013 15:49:54 +0400

mdadm (3.3-1) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream 3.3 release (Closes: #718896)
    See ANNOUNCE-3.3 for details.
    Patches:
    - refreshed debian-conffile-location.diff
      (added .conf.d)
    - removed debian-disable-udev-incr-assembly.diff
      (do not ship udev-md-raid-assembly.rules for now)
    - refreshed debian-no-Werror.diff
    - refreshed sha1-includes.diff
    - removed patches (included upstream)A:
       spelling-and-manpages.patch
       fix-enough-function-for-RAID10.patch
       fix-segfaults-in-detail.patch
       super0-do-not-override-uuid-with-homehost.patch
       mdmon-allow-takeover-when-original-was-started-with-.patch
       mdmon-fix-arg-parsing.patch
       mdmon-fix-arg-processing-for-a.path
    Install udev-md-raid-arrays.rules instead of udev-md-raid.rules,
    don't install new udev-md-raid-assembly.rules for now.
  * remove Martin F. Krafft from uploaders per his request.
    Thank you for your contributions!
  * added remove-bashism-from-makefile.patch patch to work around
    newly introduced bashism
  * remove debian/source/options, there's no need to set compression
    options for debian.tar.gz.
  * remove outdated debian/docs/md_superblock_formats.txt and
    debian/docs/md.txt (Closes: #714977, #714978)
  * ship ANNOUNCE-*, external-reshape-design.txt, mdmon-design.txt
    files as documentation (Closes: #715324)

  [ Dmitrijs Ledkovs ]
  * Properly remove 65-mdadm.vol_id.rules, instead of trying to remove a
    never-existed 65_mdadm.vol_id.rules (note the 65- vs 65_).

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Oct 2013 10:12:47 +0400

mdadm (3.2.5-6) unstable; urgency=low

  * replace home-grown and not-working-since-etch udevsettle call
    in initramfs script with proper wait_for_udev function (from
    common initramfs functions).  This unbreaks situations when
    the underlying device needs some udev magic to happen before
    being available, which includes stacked devices (md on lvm)
    and other cases.  Thanks to Thomas Parmelan and Dave Whitla

