=== debian/control ===
Source: mdadm
Section: admin
Priority: optional
XSBC-Original-Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 7.4.2), po-debconf, groff-base
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-mdadm/mdadm
Vcs-Browser: http://git.debian.org/?p=pkg-mdadm/mdadm.git
Homepage: http://neil.brown.name/blog/mdadm

Package: mdadm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.1-6), debconf (>= 1.4.72), udev (>= 204), initramfs-tools (>= 0.85eubuntu24), util-linux (>= 2.15-1), initscripts (>= 2.88dsf-13.3)
Recommends: kmod | module-init-tools
Suggests: default-mta | mail-transport-agent
Replaces: mdctl
Breaks: udev (<< 136-1), mdctl (<< 0.7.2), raidtools2 (<< 1.00.3-12.1), dmraid (<= 1.0.0.rc16-4.2ubuntu1)
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This package automatically configures mdadm to assemble arrays during the
 system startup process. If not needed, this functionality can be disabled.

Package: mdadm-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This is a minimal package used by the debian-installer.
