=== debian/control ===
Source: mdadm
Section: admin
Priority: optional
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 6.0.7~), po-debconf, groff-base
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-mdadm/mdadm.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mdadm/mdadm.git
Homepage: http://neil.brown.name/blog/mdadm

Package: mdadm
Architecture: any
Depends: ${shlibs:Depends}, udev, ${misc:Depends}, lsb-base, debconf, initscripts
Recommends: default-mta | mail-transport-agent, kmod | module-init-tools
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This package automatically configures mdadm to assemble arrays during the
 system startup process. If not needed, this functionality can be disabled.

Package: mdadm-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This is a minimal package used by the debian-installer.
