## mdadm 3.3.4

=== debian/changelog ===
mdadm (3.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * disable-incremental-assembly.patch: incremental assembly prevents booting
    in degraded mode (Closes: #784070)

 -- Yann Soubeyrand <yann-externe.soubeyrand@edf.fr>  Tue, 10 Nov 2015 11:18:39 +0100

mdadm (3.3.4-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Adopting the package as per mjt delegation. Thank you for your
    service mainting this package over the years, your contributions
    are highly appreciated by all of Debian and derivate communities.
  * New upstream release.
  * Bump standards version to 3.9.6.0, no changes required.
  * Use dh_prep instead of dh_clean -k
  * Drop cherrypicked patches.

  [ Helmut Grohne ]
  * Fix FTCBFS. Export CROSS_COMPILE=<triplet>- (Closes: #794335)

  [ Cyril B. ]
  * Copy AUTO lines from host into initrd, when updating initrd.
    (Closes: #785104)

  [ Martin von Wittich ]
  * Ignore errors attempting to apply *nice to checkarray, it may be
    done already. (Closes: #791554)

 -- Dimitri John Ledkov <xnox@debian.org>  Sun, 08 Nov 2015 11:48:03 +0000
