=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
-Uploaders: Michael Tokarev <mjt@tls.msk.ru>
+Uploaders: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 6.0.7~), po-debconf, groff-base
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-mdadm/mdadm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mdadm/mdadm.git
 Homepage: http://neil.brown.name/blog/mdadm
