## mdadm 3.4

=== debian/changelog ===
mdadm (3.4-4ubuntu0.1) zesty; urgency=medium

  * Ship mdadm-shutdown.service and suggest dracut-core. Users of systemd
    with rootfs on Intel Matrix Raid and DDF external metadata-raid arrays
    that require mdmon monitoring, may wish to install dracut-core package
    and enable mdadm-shutdown.service. This will create a shutdown
    initramfs, that systemd-shutdown can pivot to. This may result in an
    improved shutdown behaviour with less hangs and synced raid
    arrays. The generated initramfs will takeover mdmon monitoring, wait
    for the arrays to be clean before stopping them and unmounting
    everything and finally executing requested shutdown command.
    LP: #1722491

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Oct 2017 18:31:49 +0100

mdadm (3.4-4) unstable; urgency=high

  * Bring in changes from Ubuntu, to make the two packages in sync:
    - Drop README.Debian, quite out-of-date w.r.t. current packaging.
    - debian/control - on ubuntu, downgrade default-mta from Recommends to
    Suggests.
    - update-grub in postinst, if available (note does not update grub1).
    - drop stderr warnings in postrm.
    - drop presubj, out of date, and all types of bugs are welcomed.
    - on ubuntu, install apport package hook.
    - on ubuntu, install incremental assembly udev rules into udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Jul 2016 16:52:07 +0100

mdadm (3.4-3) unstable; urgency=high

  * Fix UUID= grep for configured RAIDs to be case incesetive, regression from 3.4-2.

  * Re-trigger block devices at the start of local-block mdadm loop, to
    re-incrementally assemble disks that appeared before RAID
    personalities were registered with the kernel.

  * Also, invoke non-incremental assembly of raid arrays in the
    local-block loop to support running mdadm with user-exported variables
    specified via param.conf.

  * Set Vcs- fields to dgit repositories.

  * Closes: #830770, #830300.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Jul 2016 17:09:54 +0100

mdadm (3.4-2) unstable; urgency=low

  * Reneable incremental assembly
  * Rely on udev to assemble incremental arrays
  * In environments with systemd rely on mdadm-last-resort@.timer|.service
    units to activate degrated raids
  * In environments initramfs-tools initrd (no systemd) add local-block
    script to do the same after 2/3rds of root delay iteration
  * Drop local-top initramfs script
  * Drop dependency on initscripts package
  * Drop INITRDSTART support
  * Drop mdadm-raid init script
  * Drop ancient preinst
  * In mdadm.init remove dependency on mdadm-raid
  * In mdadm.init check, and bail out running in a container
  * In mdadm.config drop mdadm/autostart logic
  * Drop CREATE stanzas from mkconf and don't include them in the
    initramfs. The generated defaults, are the compiled-in defaults. And
    the current one generates warnings when running mdadm in the
    initramfs, as there is no passwd|group files to resolve root/disk
    uid/gid. Closes: 717609
  * Adapt changes and formatting of initramfs hook from Ubuntu
  * Bump standards version to 3.9.7, no changes required
  * Fix copyright-refers-to-symlink-license
  * Closes: #781172, #796624, #769201, #813335, #632401, #804973, #714155,
    #770002, #737132, #675452, #726390, #813637, #814036.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 02 Jul 2016 19:16:01 +0100

mdadm (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop use-tempnode-not-devnode.patch, not needed anymore.
  * Drop use-external-blkid.diff. (Closes: #793631)
  * Refresh patches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 19 Feb 2016 16:18:36 +0000
