=== debian/control ===
Source: mdadm
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Uploaders: Dimitri John Ledkov <xnox@debian.org>
Build-Depends: debhelper (>= 6.0.7~), po-debconf, groff-base
Standards-Version: 3.9.7
Vcs-Git: https://git.dgit.debian.org/mdadm
Vcs-Browser: https://browse.dgit.debian.org/mdadm.git
Homepage: http://neil.brown.name/blog/mdadm

Package: mdadm
Architecture: linux-any
Depends: ${shlibs:Depends}, udev, ${misc:Depends}, lsb-base, debconf
Recommends: ${mta:Recommends}, kmod | module-init-tools
Suggests: ${mta:Suggests}, dracut-core
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This package automatically configures mdadm to assemble arrays during the
 system startup process. If not needed, this functionality can be disabled.

Package: mdadm-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends}
Description: tool to administer Linux MD arrays (software RAID)
 The mdadm utility can be used to create, manage, and monitor MD
 (multi-disk) arrays for software RAID or multipath I/O.
 .
 This is a minimal package used by the debian-installer.
