## mdadm 4.0

=== debian/changelog ===
mdadm (4.0-2ubuntu1) bionic; urgency=medium

  * Cherry-pick upstream patch to ensure mdadm-last-resort services
    only runs when it is needed LP: #1753786
    - debian/patches/mdadm-last-resort-use-condition-path-exists.patch

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 07 Mar 2018 01:43:16 -0600

mdadm (4.0-2) unstable; urgency=medium

  * Ship mdadm-shutdown.service and suggest dracut-core. Users of systemd
    with rootfs on Intel Matrix Raid and DDF external metadata-raid arrays
    that require mdmon monitoring, may wish to install dracut-core package
    and enable mdadm-shutdown.service. This will create a shutdown
    initramfs, that systemd-shutdown can pivot to. This may result in an
    improved shutdown behaviour with less hangs and synced raid
    arrays. The generated initramfs will takeover mdmon monitoring, wait
    for the arrays to be clean before stopping them and unmounting
    everything and finally executing requested shutdown command.
  * Bump standards version, no changes required.
  * Bump debhelper to 9.
  * Add second email address to avoid NMU warnings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Oct 2017 11:55:52 +0100

mdadm (4.0-1) unstable; urgency=medium

  * New upstream release. LP: #1668128
  * Drop warnings that raid arrays are missing from the initramfs
    configuration. Instead have a positive message as to which arrays are
    included in the initramfs.
  * Add a warning to mkconf generated file that mdadm.conf is copied into
    initrafms.
  * Fix checkarray script bugs. LP: #1599428 Closes: #787950 Closes: #843665

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Jun 2017 13:23:10 +0100
