=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
-Uploaders: Dimitri John Ledkov <xnox@debian.org>
-Build-Depends: debhelper (>= 6.0.7~), po-debconf, groff-base
-Standards-Version: 3.9.7
+Uploaders: Dimitri John Ledkov <xnox@debian.org>, Dimitri John Ledkov <xnox@ubuntu.com>
+Build-Depends: debhelper (>= 9), po-debconf, groff-base
+Standards-Version: 4.1.1
 Vcs-Git: https://git.dgit.debian.org/mdadm
 Vcs-Browser: https://browse.dgit.debian.org/mdadm.git
 Homepage: http://neil.brown.name/blog/mdadm
