=== debian/rules ===
--- 
+++ 
@@ -54,19 +54,24 @@
 	mkdir -p $(DESTDIR)/etc/mdadm
 	install -Dm0755 debian/initramfs/hook \
 		$(DESTDIR)/usr/share/initramfs-tools/hooks/mdadm
-	install -Dm0755 debian/initramfs/script.local-top \
-		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/mdadm
+	install -Dm0755 debian/initramfs/script.local-block \
+		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-block/mdadm
+	install -Dm0755 debian/initramfs/script.local-bottom \
+		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-bottom/mdadm
 	install -Dm0644 debian/mdadm.modules \
 		$(DESTDIR)/etc/modprobe.d/mdadm.conf
 
 	install -Dm0755 debian/mkconf $(DESTDIR)/usr/share/mdadm/mkconf
 	install -Dm0755 debian/checkarray $(DESTDIR)/usr/share/mdadm/checkarray
 	install -Dm0755 debian/bugscript $(DESTDIR)/usr/share/bug/mdadm/script
-	install -Dm0644 debian/presubj $(DESTDIR)/usr/share/bug/mdadm/presubj
-
 	install -Dm0755 udeb/mdadm $(DESTDIR_UDEB)/sbin/mdadm
 	install -Dm0755 udeb/mdmon $(DESTDIR_UDEB)/sbin/mdmon
 	install -Dm0644 udev-md-raid-arrays.rules $(DESTDIR_UDEB)/lib/udev/rules.d/63-md-raid-arrays.rules
+	install -Dm0644 debian/mdadm-shutdown.service $(DESTDIR)/lib/systemd/system/mdadm-shutdown.service
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
+	install -Dm0644 udev-md-raid-assembly.rules $(DESTDIR_UDEB)/lib/udev/rules.d/64-md-raid-assembly.rules
+	install -Dm0644 debian/source_mdadm.py $(DESTDIR)/usr/share/apport/package-hooks/source_mdadm.py
+endif
 
 binary-arch: install-arch
 	dh_testdir
@@ -74,7 +79,6 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples -pmdadm mdadm.conf-example misc/syslog-events
-	dh_installinit --init-script=mdadm-raid --no-restart-on-upgrade -- start 25 S . start 60 0 6 .
 	dh_installinit --init-script=mdadm-waitidle --no-start -- stop 98 0 6 .
 	dh_link -pmdadm /dev/null /lib/systemd/system/mdadm-waitidle.service
 	dh_installinit -- defaults 25
@@ -89,7 +93,11 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
+	dh_gencontrol -- -Vmta:Suggests="default-mta | mail-transport-agent"
+else
+	dh_gencontrol -- -Vmta:Recommends="default-mta | mail-transport-agent"
+endif
 	dh_md5sums
 	dh_builddeb
