## mdadm 4.1~rc1

=== debian/changelog ===
mdadm (4.1~rc1-4ubuntu1) cosmic; urgency=medium

  * Ship finalrd hook.
  * Do not install mdadm-shutdown.service on Ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Aug 2018 14:53:18 +0100

mdadm (4.1~rc1-4) unstable; urgency=medium

  * Cherrypick master patches up to 20th of July 2018. LP: #1781427
  * Make safe-timouts udev rules compatible with usr-split systems.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jul 2018 11:48:50 +0100

mdadm (4.1~rc1-3) unstable; urgency=medium

  * Cherrypick master patches up to 4th of June 2018.

 -- Dimitri John Ledkov 🌈 <xnox@ubuntu.com>  Tue, 26 Jun 2018 15:38:04 +0100

mdadm (4.1~rc1-2) unstable; urgency=medium

  * Install identical udev rules into d-i installer udeb, as used in the
    installed system. Specifically, post-processed rules with full path to
    mdadm binary subsituted, instead of installing useless rules with the
    template variable BINDIR. LP: #1705215

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 May 2018 14:26:59 +0100

mdadm (4.1~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Import patches since rc1.
  * Bump standards version & debhelper compat.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 May 2018 12:10:33 +0100
